<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
include_once 'sys/inc/thead.php';

$set['title']='Настройки - Смена ника'; // заголовок страницы

title();
if (isset($user) & $user['balls']<=3000)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но сменить ник ты не можешь пока не наберешь <b>3000</b> баллов<br/>У вас <b>$user[balls]</b> баллов\n";
include_once 'sys/inc/tfoot.php';
exit();

}


if (isset($_POST['save'])){
if (isset($_POST['name']))
{
if (isset($user) & $user['balls']<=3000)
{
msg('У вас низкий рейтинг. Для выполнения операции нужено 3000 баллов');
}
else
{
$nick=mysql_real_escape_string(esc($_POST['name']));

if (!preg_match("#^([A-zА-я0-9])+$#ui", $nick))

{
msg('В нике присутствуют запрещенные символы');
}
else
{
if (strlen2($nick)<4)
{
msg('Короткий ник');
}
else
{
if (strlen2($nick)>20)
{
msg('Длина ника превышает 32 символа');
}
else
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-3000)."' WHERE `id` = '$user[id]' LIMIT 1");

mysql_query("UPDATE `user` SET `nick` = '".mysql_real_escape_string($nick)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Ник успешно изменен с вас спишится 3000 баллов');
}
}
}
}
}
}
err();
aut();


echo "<form method='post' action='?$passgen'>\n";

echo"Новый ник:<br />";
echo"<input type='text' name='name' value='' /><br />";
echo "<input type='submit' name='save' value='Изменить' />\n";
echo "</form>\n";

echo "Для смены ника нужно 3000 баллов";
include_once 'sys/inc/tfoot.php';
?>